Last Comment Bug 652109 - SetProcessDPIAware is called regardless if the process is really DPI aware
: SetProcessDPIAware is called regardless if the process is really DPI aware
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget: Win32 (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: mozilla7
Assigned To: Jacek Caban
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 05:58 PDT by Jacek Caban
Modified: 2011-06-03 03:10 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix v1.0 (2.15 KB, patch)
2011-04-22 05:58 PDT, Jacek Caban
roc: review+
Details | Diff | Splinter Review

Description Jacek Caban 2011-04-22 05:58:14 PDT
Created attachment 527759 [details] [diff] [review]
fix v1.0

Although it may be fine for all Mozilla products to call SetProcessDPIAware on xul.dll load, in embedding situation it may not be good as the rest of the process may be not DPI aware. The fix is as simple as moving the call to XRE_main, where other similar settings are done.
Comment 1 Dão Gottwald [:dao] 2011-05-25 01:37:44 PDT
patching file toolkit/xre/nsAppRunner.cpp
Hunk #1 FAILED at 2775
1 out of 1 hunks FAILED -- saving rejects to file toolkit/xre/nsAppRunner.cpp.rej
patching file widget/src/windows/nsToolkit.cpp
Hunk #1 FAILED at 217
1 out of 1 hunks FAILED -- saving rejects to file widget/src/windows/nsToolkit.cpp.rej
Comment 2 Jacek Caban 2011-05-26 03:56:29 PDT
Thanks for an attempt to commit it. I was planning to commit it myself, but my build environment is temporary broken. I will rebase and push once I will fix it.
Comment 3 Jacek Caban 2011-06-02 05:44:28 PDT
Pushed to cedar:
http://hg.mozilla.org/projects/cedar/rev/25e9a51b01be
Comment 4 Mounir Lamouri (:mounir) 2011-06-03 03:10:35 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/25e9a51b01be

Note You need to log in before you can comment on or make changes to this bug.